<?php
/**
 * Show Time Spent Online on Postbit 1.0
 * Copyright  2006 DragonFever
 */
 
$plugins->add_hook("postbit", "timeonline_postbit");
 
function timeonline_info()
{
	return array(
		"name"				=> "Shows Time Spent Online on Postbit",
		"description"		=> "Shows Time Spent Online on Postbit.",
		"website"			=> "http://www.dragonfever.info/",
		"author"			=> "DragonFever",
		"authorsite"		=> "http://www.dragonfever.info/",
		"version"			=> "1.0",
		);
}
 
function timeonline_activate()
{
}
 
function timeonline_deactivate()
{
}
 
function timeonline_postbit($post)
{
	global $mybb, $lang, $db;
	$onuid = $post['uid'];
    $queryon = $db->simple_select(TABLE_PREFIX."users", "timeonline", "uid='$onuid'");
    $memprofile = $db->fetch_array($queryon);
    
    if($memprofile['timeonline'] > 0)
    {
        $post['timeonline'] = fl_nice_time($memprofile['timeonline']);
    }
    else
    {
        $post['timeonline'] = $lang->na;
    }
	$post['user_details'] = "{$post['user_details']}<font class=\"smalltext\">Spent Online: {$post['timeonline']}</font>";
}
// First Lettered nice_time Funtion
function fl_nice_time($stamp)
{

	$ysecs = 365*24*60*60;
	$mosecs = 31*24*60*60;
	$wsecs = 7*24*60*60;
	$dsecs = 24*60*60;
	$hsecs = 60*60;
	$msecs = 60;

	$years = floor($stamp/$ysecs);
	$stamp %= $ysecs;
	$months = floor($stamp/$mosecs);
	$stamp %= $mosecs;
	$weeks = floor($stamp/$wsecs);
	$stamp %= $wsecs;
	$days = floor($stamp/$dsecs);
	$stamp %= $dsecs;
	$hours = floor($stamp/$hsecs);
	$stamp %= $hsecs;
	$minutes = floor($stamp/$msecs);
	$stamp %= $msecs;
	$seconds = $stamp;

	if($years == 1)
	{
		$flnicetime['years'] = "1 ".Y;
	}
	elseif($years > 1)
	{
		$flnicetime['years'] = $years." ".Y;
	}

	if($months == 1)
	{
		$flnicetime['months'] = "1 ".M;
	}
	elseif($months > 1)
	{
		$flnicetime['months'] = $months." ".M;
	}

	if($weeks == 1)
	{
		$flnicetime['weeks'] = "1 ".W;
	}
	elseif($weeks > 1)
	{
		$flnicetime['weeks'] = $weeks." ".W;
	}

	if($days == 1)
	{
		$flnicetime['days'] = "1 ".D;
	}
	elseif($days > 1)
	{
		$flnicetime['days'] = $days." ".D;
	}

	if($hours == 1)
	{
		$flnicetime['hours'] = "1 ".H;
	}
	elseif($hours > 1)
	{
		$flnicetime['hours'] = $hours." ".H;
	}

	if($minutes == 1)
	{
		$flnicetime['minutes'] = "1 ".M;
	}
	elseif($minutes > 1)
	{
		$flnicetime['minutes'] = $minutes." ".M;
	}

	if(is_array($flnicetime))
	{
		return implode(", ", $flnicetime);
	}
}
// Function Ends
?>